Пропустить и перейти к основному содержимому

Этот браузер больше не поддерживается.

Выполните обновление до Microsoft Edge, чтобы воспользоваться новейшими функциями, обновлениями для системы безопасности и технической поддержкой.

Скачать Microsoft Edge Дополнительные сведения об Internet Explorer и Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Sessions

Create a session

POST /agents/{agent_name}/endpoint/sessions

Creates a new session for an agent endpoint. The endpoint resolves the backing agent version from version_indicator and enforces session ownership using the provided user identity for session-mutating operations.

Параметры пути

agent_name string обязательно

The name of the agent to create a session for.

Параметры запроса

api-version string обязательно

The API version to use for this operation.

Текст запроса

Content-Type: application/json
agent_session_id string

Optional caller-provided session ID. If specified, it must be unique within the agent endpoint. Auto-generated if omitted.

version_indicator version_ref обязательно

Version indicator determining which agent version backs the session.

Один из следующих:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum обязательно

Discriminator value for version_ref.

version_ref
agent_version string обязательно

The agent version identifier returned by the agent version APIs.

Ответы

The request has succeeded and a new resource has been created as a result.

Текст

Content-Type: application/json
agent_session_id string обязательно

The session identifier.

version_indicator version_ref обязательно

Version indicator determining which agent version backs the session.

Один из следующих:
version_ref VersionRefIndicator

Version indicator that references a specific agent version by name.

type enum обязательно

Discriminator value for version_ref.

version_ref
agent_version string обязательно

The agent version identifier returned by the agent version APIs.

status string | enum обязательно

The status of an agent session.

Любое из следующих:
string
enum
creatingactiveidleupdatingfaileddeletingdeletedexpired
created_at integer обязательно

The Unix timestamp (in seconds) when the session was created.

last_accessed_at integer обязательно

The Unix timestamp (in seconds) when the session was last accessed.

expires_at integer обязательно

The Unix timestamp (in seconds) when the session expires (rolling, 30 days from last activity).

stopped_at integer

The Unix timestamp (in seconds) when the session sandbox was last observed to stop or go idle. Present only after the session has gone idle at least once, used for accurate idle-billing reconciliation.

Client error

Текст

Content-Type: application/json
error OpenAI.Error обязательно
code string | null обязательно
message string обязательно
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Любое из следующих:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string обязательно

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Текст

Content-Type: application/json
error OpenAI.Error обязательно
code string | null обязательно
message string обязательно
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Любое из следующих:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string обязательно

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Запрос

POST /agents/{agent_name}/endpoint/sessions HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
ru-ru
Ваши варианты выбора параметров конфиденциальности
  • Заявление об отказе ИИ
  • Предыдущие версии
  • Блог
  • Участие в доработке
  • Конфиденциальность
  • Конфиденциальность медицинских данных потребителей
  • Условия использования
  • Товарные знаки
  • © Microsoft 2026